package jp.ac.nii.icpc2010.tournament;

import jp.ac.nii.icpc2010.manager.OptionsManager;

public class QueuedMatch {
	private Player playerOne, playerTwo;
	private Round round;
	private Group group;
	private Match match;
	private OptionsManager om;
	
	public QueuedMatch(Player playerOne, Player playerTwo, Round round,  Group group) {
		super();
		this.playerOne = playerOne;
		this.playerTwo = playerTwo;
		this.round = round;
		this.group = group;
	}

	public Player getPlayerOne() {
		return playerOne;
	}

	public Player getPlayerTwo() {
		return playerTwo;
	}

	public Round getRound() {
		return round;
	}
	
	public Group getGroup() {
		return group;
	}

	public Match getMatch() {
		return match;
	}

	public void setMatch(Match match) {
		this.match = match;
	}
}
